curl --request GET \
--url https://api.open.cx/office-hours/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"iana_timezone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shifts": [
{
"day_of_week": "everyday",
"start_time": "<string>",
"end_time": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Get a specific office hours schedule by ID, including all its shifts.
curl --request GET \
--url https://api.open.cx/office-hours/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"iana_timezone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shifts": [
{
"day_of_week": "everyday",
"start_time": "<string>",
"end_time": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Default Response
Office hours schedule ID
Schedule name (e.g. "Weekday Support", "Weekend Hours")
IANA timezone (e.g. "America/New_York", "Europe/London")
The time blocks when support is available
Show child attributes
Was this page helpful?